library(shiny)

shinyUI(fluidPage(

  titlePanel("Power of the 1-sample t Test"),

  sidebarLayout(
      sidebarPanel(
      HTML("<a class='btn' href='/'><b>Reset</b></a>"),
           sliderInput("n","Sample Size",min=1,max=200, value=50),  
           sliderInput("sigma",HTML("Standard Deviation &sigma;"),  
                  min=0,max=10,value=5,step=0.5),                         
           sliderInput("mu0",HTML("Population Mean &mu;"),  
                  min=30,max=70,value=50,step=1),                         
           selectInput("alpha",HTML("Type I error probability &alpha;"), 
                 choices = c(0.01,0.05,0.1),selected=0.05),           
           selectInput("alt","Alternative", 
                 choices = c("Less than","Not equal to","Greater than"),selected="Not equal to"),      
          uiOutput("appinfo"),width=3
        ),
  mainPanel(
      uiOutput("text1"),
      plotOutput("plot1")
     )
   ), 
   uiOutput("explainText")    
))

